std::error_category(3cxx)

NAME
std::error_category - error_category

SYNOPSIS

#include <system_error>

  Public Member Functions

error_category (const error_category &)=delete
virtual error_condition default_error_condition (int __i) const noexcept
virtual bool equivalent (const error_code &__code, int __i) const noexcept
virtual bool equivalent (int __i, const error_condition &__cond) const noexcept
virtual string message (int) const =0
virtual const char * name () const noexcept=0
bool operator!= (const error_category &__other) const noexcept
bool operator< (const error_category &__other) const noexcept
error_category & operator= (const error_category &)=delete
bool operator== (const error_category &__other) const noexcept

Detailed Description

error_category

Definition at line 74 of file system_error.

Member Function Documentation

  bool std::error_category::operator!= (const error_category & __other) const [inline], [noexcept]

Definition at line 129 of file system_error.

  bool std::error_category::operator< (const error_category & __other) const [inline], [noexcept]

Definition at line 120 of file system_error.

  bool std::error_category::operator== (const error_category & __other) const [inline], [noexcept]

Definition at line 125 of file system_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.